#include <iostream>
#include <vector>
#include <cmath>
#include <unordered_map>
#include <fstream>
#include <string>

int main()
{
	std::ios_base::sync_with_stdio(false); std::cin.tie(0); std::cout.tie(0);
	long long a, b;
	std::cin >> a >> b;

	long long n = a * 2 + (b - 2) * 2;
	long long k = (a - 2) * (b - 2) / 2;

	std::cout << n + k << std::endl;

	return 0;
}